﻿Friend Class FrmMain
	Private Sub FrmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		AddDefaultCompanies()
		AddDefaultDrinks()
	End Sub

	Private Sub AddDefaultCompanies()
		Tds.Companies.AddCompaniesRow("BestDrinkStore")
		Tds.Companies.AddCompaniesRow("BubbleFit")
		Tds.Companies.AddCompaniesRow("SprizzFabrik")
	End Sub

	Private Sub AddDefaultDrinks()
		Tds.Drinks.AddDrinksRow("OraKola", Tds.Companies.First)
		Tds.Drinks.AddDrinksRow("NullSugaLimo", Tds.Companies.First)
		Tds.Drinks.AddDrinksRow("PureWater", Tds.Companies(1))
		Tds.Drinks.AddDrinksRow("NoisyWater", Tds.Companies(1))
		Tds.Drinks.AddDrinksRow("LouderThanHeavenWater", Tds.Companies(1))
		Tds.Drinks.AddDrinksRow("Säft, der erste", Tds.Companies.Last)
		Tds.Drinks.AddDrinksRow("Säft, der zweite", Tds.Companies.Last)
		Tds.Drinks.AddDrinksRow("Säft, der dritte", Tds.Companies.Last)
	End Sub

	Private Sub BtnEditCompanies_Click(sender As Object, e As EventArgs) Handles BtnEditCompanies.Click
		Using Dialog As New FrmCompanyEditor
			Dialog.BsTds.DataSource = Tds
			Dialog.ShowDialog(Me)
		End Using
	End Sub

	Private Sub BtnEditCompanyDrinks_Click(sender As Object, e As EventArgs) Handles BtnEditCompanyDrinks.Click
		If BsCompanies.Count = 0 Then MessageBox.Show("Bitte erstmal ne Firma anlegen.") : Return

		Using Dialog As New FrmCompanyDrinksEditor
			Dialog.BsTds.DataSource = Tds
			Dialog.BsCompanies.Position = BsCompanies.Position
			Dialog.Text = $"Getränke von {DirectCast(DirectCast(BsCompanies.Current, Data.DataRowView).Row, Tds.CompaniesRow).Name}"
			Dialog.ShowDialog(Me)
		End Using
	End Sub
End Class
